Debian Bug report logs - #679128
useless (?) dichotomy: sysfs is located under /bin on kfreebsd systems, while /sbin on Linuxes

version graph

Package: freebsd-utils; Maintainer for freebsd-utils is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for freebsd-utils is src:freebsd-utils.

Reported by: yoh@onerussian.com

Date: Tue, 26 Jun 2012 14:45:01 UTC

Severity: serious

Tags: sid, wheezy

Merged with 648061

Fixed in version freebsd-utils/9.0+ds1-7

Done: Robert Millan <rmh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, 648061@bugs.debian.org, Craig Small <csmall@debian.org>:
Bug#679128; Package procps. (Tue, 26 Jun 2012 14:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to yoh@onerussian.com:
New Bug report received and forwarded. Copy sent to 648061@bugs.debian.org, Craig Small <csmall@debian.org>. (Tue, 26 Jun 2012 14:45:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: useless (?) dichotomy: sysfs is located under /bin on kfreebsd systems, while /sbin on Linuxes
Date: Tue, 26 Jun 2012 10:43:17 -0400
Package: procps
Version: 1:3.2.8-11
Severity: important

Since I have not got any feedback on 
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=648061#65
I am still not sure if this difference is intended or just an omission.

sysctl is shipped under /sbin on Linux-based installations but for some reason
under /bin on kfreebsd.  That now requires every package relying on sysctl to
become kernel-aware, e.g. patching python2.7 source to use /bin/sysctl in few
places.

procps's debian/rules seems to explicitly remove it from /sbin/:

ifneq ($(DEB_HOST_ARCH_OS), linux)
    rm -f \
        $(DEBROOT)/usr/bin/slabtop \
        $(DEBROOT)/usr/share/man/man1/slabtop.1 \
        $(DEBROOT)/sbin/sysctl \
        $(DEBROOT)/usr/share/man/man8/sysctl.8 \
        $(DEBROOT)/usr/share/man/man5/sysctl.conf.5 \
        $(NULL)
endif

is there any specific reason or could it be shipped under /sbin/ ?

Please advise.

If it could be shipped under /sbin/ then 648061 should be force-merged into
this one.  If not -- wontfix tag I guess and remain in the chronicles, while I
would NMU the patch for #648061.

Cheers,

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (900, 'testing'), (600, 'unstable'), (300, 'experimental'), (100, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.1.0-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages procps depends on:
ii  initscripts   2.88dsf-13.11
ii  libc6         2.13-18
ii  libncurses5   5.9-1
ii  libncursesw5  5.9-1
ii  lsb-base      3.2-28

Versions of packages procps recommends:
ii  psmisc  22.13-1

procps suggests no packages.

-- no debconf information




Bug reassigned from package 'procps' to 'freebsd-utils'. Request was from Craig Small <csmall@debian.org> to control@bugs.debian.org. (Tue, 26 Jun 2012 21:06:02 GMT) Full text and rfc822 format available.

No longer marked as found in versions procps/1:3.2.8-11. Request was from Craig Small <csmall@debian.org> to control@bugs.debian.org. (Tue, 26 Jun 2012 21:06:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#679128; Package freebsd-utils. (Tue, 26 Jun 2012 21:42:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <yoh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 26 Jun 2012 21:42:15 GMT) Full text and rfc822 format available.

Message #14 received at 679128@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <yoh@debian.org>
To: Craig Small <csmall@debian.org>, 679128@bugs.debian.org
Subject: Re: Bug#679128: useless (?) dichotomy: sysfs is located under /bin on kfreebsd systems, while /sbin on Linuxes
Date: Tue, 26 Jun 2012 17:39:40 -0400
On Wed, 27 Jun 2012, Craig Small wrote:
> > is there any specific reason or could it be shipped under /sbin/ ?
> Ask the freebsd-utils people, after all it is their program and not
> mine. 

indeed:

debian/freebsd-utils.install:debian/local/scripts/bin/sysctl        /bin
debian/freebsd-utils.manpages:sbin/sysctl/sysctl.8
debian/freebsd-utils-udeb.install:sbin/sysctl/sysctl            /bin

.8 itself suggests /sbin isn't it? ;)

> dpkg -S `which sysctl` would of told you where sysctl comes from.

d'oh -- sad part that I have done that but on non-kfreebsd systems,
e.g.:

$> dpkg -S `which sysctl`
procps: /sbin/sysctl

and then I saw in procps's debian/rules explicit removal of /sbin/sysctl
so I just thought that it was for some reason installed under both /bin/ and
/sbin/... "it was late" would be my excuse

> Alternatively reportbug on the program name would of given the right
> package too.

I could not reportbug on porter boxes due to absent reportbug (tried that) :-P

> FWIW, procps won't be moving sysctl  to /bin (for non-freebsd platforms)

And please don't! ;) /sbin/ is the location for it (unless that
everything-in-one-bin movement wins)

> reassign 679128 freebsd-utils
> thankyou

thank you!

-- 
Yaroslav O. Halchenko
Postdoctoral Fellow,   Department of Psychological and Brain Sciences
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#679128; Package freebsd-utils. (Tue, 26 Jun 2012 21:42:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Craig Small <csmall@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 26 Jun 2012 21:42:17 GMT) Full text and rfc822 format available.

Message #19 received at 679128@bugs.debian.org (full text, mbox):

From: Craig Small <csmall@debian.org>
To: yoh@onerussian.com, 679128@bugs.debian.org
Subject: Re: Bug#679128: useless (?) dichotomy: sysfs is located under /bin on kfreebsd systems, while /sbin on Linuxes
Date: Wed, 27 Jun 2012 07:03:39 +1000
reassign 679128 freebsd-utils
thankyou

On Tue, Jun 26, 2012 at 10:43:17AM -0400, Yaroslav Halchenko wrote:
> is there any specific reason or could it be shipped under /sbin/ ?
Ask the freebsd-utils people, after all it is their program and not
mine. I suspect the program is in that package because the freebsd /proc
emulation is a little sad, to say the least.

dpkg -S `which sysctl` would of told you where sysctl comes from.
Alternatively reportbug on the program name would of given the right
package too.

FWIW, procps won't be moving sysctl  to /bin (for non-freebsd platforms)

 - Craig
-- 
Craig Small VK2XLZ   http://enc.com.au/          csmall at : enc.com.au
Debian GNU/Linux     http://www.debian.org/      csmall at : debian.org
GPG fingerprint:     5D2F B320 B825 D939 04D2  0519 3938 F96B DF50 FEA5




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#679128; Package freebsd-utils. (Thu, 28 Jun 2012 13:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <yoh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Thu, 28 Jun 2012 13:57:08 GMT) Full text and rfc822 format available.

Message #24 received at 679128@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <yoh@debian.org>
To: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Cc: Craig Small <csmall@debian.org>, 679128@bugs.debian.org
Subject: Re: Bug#679128: useless (?) dichotomy: sysfs is located under /bin on kfreebsd systems, while /sbin on Linuxes
Date: Thu, 28 Jun 2012 09:53:25 -0400
I have done some checks for what paths are used to reach sysctl

The only other package assuming [^s]bin/sysctl is:

http://www.onerussian.com/tmp/egrep-nosbin_sysctl.log
/srv/ftp.debian.org/mirror/pool/main/f/freebsd-buildutils/freebsd-buildutils_9.0-11_kfreebsd-i386.deb:Binary file (standard input) matches
/srv/ftp.debian.org/mirror/pool/main/f/freebsd-buildutils/freebsd-buildutils_9.0-11_kfreebsd-amd64.deb:Binary file (standard input) matches

while the others (if I search for bin/sysctl) /sbin/sysctl or actually some
exclusively /usr/sbin/sysctl (thus worth of imho closer look/reports, and that
is why kept Craig in CC)
http://www.onerussian.com/tmp/egrep-bin_sysctl.log 

the scripts I used to generate lists happen some needs them
http://www.onerussian.com/tmp/egrep-bin_sysctl.sh
http://www.onerussian.com/tmp/egrep-nosbin_sysctl.sh

Cheers,
-- 
Yaroslav O. Halchenko
Postdoctoral Fellow,   Department of Psychological and Brain Sciences
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#679128; Package freebsd-utils. (Fri, 29 Jun 2012 19:30:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Fri, 29 Jun 2012 19:30:10 GMT) Full text and rfc822 format available.

Message #29 received at 679128@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Craig Small <csmall@debian.org>, 679128@bugs.debian.org, yoh@onerussian.com
Subject: Re: Bug#679128: useless (?) dichotomy: sysfs is located under /bin on kfreebsd systems, while /sbin on Linuxes
Date: Fri, 29 Jun 2012 21:22:25 +0200
2012/6/26 Craig Small <csmall@debian.org>:
> reassign 679128 freebsd-utils
> thankyou
>
> On Tue, Jun 26, 2012 at 10:43:17AM -0400, Yaroslav Halchenko wrote:
>> is there any specific reason or could it be shipped under /sbin/ ?
> Ask the freebsd-utils people, after all it is their program and not
> mine.

What's the reason for putting it in /sbin?

> I suspect the program is in that package because the freebsd /proc
> emulation is a little sad, to say the least.

Actually proc is unrelated here (on kFreeBSD, sysctl doesn't rely on proc).

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#679128; Package freebsd-utils. (Fri, 29 Jun 2012 19:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <yoh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Fri, 29 Jun 2012 19:45:02 GMT) Full text and rfc822 format available.

Message #34 received at 679128@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <yoh@debian.org>
To: Robert Millan <rmh@debian.org>
Cc: Craig Small <csmall@debian.org>, 679128@bugs.debian.org
Subject: Re: Bug#679128: useless (?) dichotomy: sysfs is located under /bin on kfreebsd systems, while /sbin on Linuxes
Date: Fri, 29 Jun 2012 15:42:37 -0400

On Fri, 29 Jun 2012, Robert Millan wrote:
> > reassign 679128 freebsd-utils
> > thankyou
> > On Tue, Jun 26, 2012 at 10:43:17AM -0400, Yaroslav Halchenko wrote:
> >> is there any specific reason or could it be shipped under /sbin/ ?
> > Ask the freebsd-utils people, after all it is their program and not
> > mine.

> What's the reason for putting it in /sbin?

hm

1. because that is where it is on Linux systems
2. because that is where it is on BSD systems (according to logic in
   Python source code... since I have no access to BSD systems)
3. because even its manpage is .8 ;-)
4. because majority of the packages (besides freebsd-* ones) look for it
   under {/usr,}/sbin not bin/
   see
   http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=679128#24

more? ... ;)


-- 
Yaroslav O. Halchenko
Postdoctoral Fellow,   Department of Psychological and Brain Sciences
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#679128; Package freebsd-utils. (Sat, 30 Jun 2012 22:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Craig Small <csmall@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 30 Jun 2012 22:33:06 GMT) Full text and rfc822 format available.

Message #39 received at 679128@bugs.debian.org (full text, mbox):

From: Craig Small <csmall@debian.org>
To: Robert Millan <rmh@debian.org>
Cc: 679128@bugs.debian.org, yoh@onerussian.com
Subject: Re: Bug#679128: useless (?) dichotomy: sysfs is located under /bin on kfreebsd systems, while /sbin on Linuxes
Date: Sun, 1 Jul 2012 08:22:08 +1000
On Fri, Jun 29, 2012 at 09:22:25PM +0200, Robert Millan wrote:
> What's the reason for putting it in /sbin?
It's and admin program that can be used before remote filesystems are
mounted.

> > I suspect the program is in that package because the freebsd /proc
> > emulation is a little sad, to say the least.
> Actually proc is unrelated here (on kFreeBSD, sysctl doesn't rely on proc).
That's another way of putting it. While the Linux sysctl needs proc, the
kFreeBSD ones doesn't or shouldn't or can't (doesn't matter which, it
is)

-- 
Craig Small VK2XLZ   http://enc.com.au/          csmall at : enc.com.au
Debian GNU/Linux     http://www.debian.org/      csmall at : debian.org
GPG fingerprint:     5D2F B320 B825 D939 04D2  0519 3938 F96B DF50 FEA5




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#679128; Package freebsd-utils. (Thu, 05 Jul 2012 17:06:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <yoh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Thu, 05 Jul 2012 17:06:08 GMT) Full text and rfc822 format available.

Message #44 received at 679128@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <yoh@debian.org>
To: Robert Millan <rmh@debian.org>
Cc: Craig Small <csmall@debian.org>, 679128@bugs.debian.org
Subject: Re: Bug#679128: useless (?) dichotomy: sysfs is located under /bin on kfreebsd systems, while /sbin on Linuxes
Date: Thu, 5 Jul 2012 13:04:07 -0400
please let me know if you need help fixing this issue (i.e. moving
installation under /sbin).  some packages (e.g. statsmodels) still FTBFS
due to it and imho this is the logical way to resolve it.

Best regards,
-- 
Yaroslav O. Halchenko
Postdoctoral Fellow,   Department of Psychological and Brain Sciences
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        




Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Thu, 05 Jul 2012 19:21:11 GMT) Full text and rfc822 format available.

Notification sent to yoh@onerussian.com:
Bug acknowledged by developer. (Thu, 05 Jul 2012 19:21:11 GMT) Full text and rfc822 format available.

Message #49 received at 679128-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 679128-close@bugs.debian.org
Subject: Bug#679128: fixed in freebsd-utils 9.0+ds1-7
Date: Thu, 05 Jul 2012 19:17:23 +0000
Source: freebsd-utils
Source-Version: 9.0+ds1-7

We believe that the bug you reported is fixed in the latest version of
freebsd-utils, which is due to be installed in the Debian FTP archive:

devd-udeb_9.0+ds1-7_kfreebsd-amd64.udeb
  to main/f/freebsd-utils/devd-udeb_9.0+ds1-7_kfreebsd-amd64.udeb
devd_9.0+ds1-7_kfreebsd-amd64.deb
  to main/f/freebsd-utils/devd_9.0+ds1-7_kfreebsd-amd64.deb
freebsd-geom_9.0+ds1-7_kfreebsd-amd64.deb
  to main/f/freebsd-utils/freebsd-geom_9.0+ds1-7_kfreebsd-amd64.deb
freebsd-net-tools-udeb_9.0+ds1-7_kfreebsd-amd64.udeb
  to main/f/freebsd-utils/freebsd-net-tools-udeb_9.0+ds1-7_kfreebsd-amd64.udeb
freebsd-net-tools_9.0+ds1-7_kfreebsd-amd64.deb
  to main/f/freebsd-utils/freebsd-net-tools_9.0+ds1-7_kfreebsd-amd64.deb
freebsd-nfs-common_9.0+ds1-7_kfreebsd-amd64.deb
  to main/f/freebsd-utils/freebsd-nfs-common_9.0+ds1-7_kfreebsd-amd64.deb
freebsd-nfs-server_9.0+ds1-7_kfreebsd-amd64.deb
  to main/f/freebsd-utils/freebsd-nfs-server_9.0+ds1-7_kfreebsd-amd64.deb
freebsd-ppp_9.0+ds1-7_kfreebsd-amd64.deb
  to main/f/freebsd-utils/freebsd-ppp_9.0+ds1-7_kfreebsd-amd64.deb
freebsd-utils-udeb_9.0+ds1-7_kfreebsd-amd64.udeb
  to main/f/freebsd-utils/freebsd-utils-udeb_9.0+ds1-7_kfreebsd-amd64.udeb
freebsd-utils_9.0+ds1-7.debian.tar.gz
  to main/f/freebsd-utils/freebsd-utils_9.0+ds1-7.debian.tar.gz
freebsd-utils_9.0+ds1-7.dsc
  to main/f/freebsd-utils/freebsd-utils_9.0+ds1-7.dsc
freebsd-utils_9.0+ds1-7_kfreebsd-amd64.deb
  to main/f/freebsd-utils/freebsd-utils_9.0+ds1-7_kfreebsd-amd64.deb
geom_9.0+ds1-7_kfreebsd-amd64.deb
  to main/f/freebsd-utils/geom_9.0+ds1-7_kfreebsd-amd64.deb
kbdcontrol-udeb_9.0+ds1-7_kfreebsd-amd64.udeb
  to main/f/freebsd-utils/kbdcontrol-udeb_9.0+ds1-7_kfreebsd-amd64.udeb
kbdcontrol_9.0+ds1-7_kfreebsd-amd64.deb
  to main/f/freebsd-utils/kbdcontrol_9.0+ds1-7_kfreebsd-amd64.deb
kldutils-udeb_9.0+ds1-7_kfreebsd-amd64.udeb
  to main/f/freebsd-utils/kldutils-udeb_9.0+ds1-7_kfreebsd-amd64.udeb
kldutils_9.0+ds1-7_kfreebsd-amd64.deb
  to main/f/freebsd-utils/kldutils_9.0+ds1-7_kfreebsd-amd64.deb
ktrace_9.0+ds1-7_kfreebsd-amd64.deb
  to main/f/freebsd-utils/ktrace_9.0+ds1-7_kfreebsd-amd64.deb
mkuzip_9.0+ds1-7_kfreebsd-amd64.deb
  to main/f/freebsd-utils/mkuzip_9.0+ds1-7_kfreebsd-amd64.deb
pf_9.0+ds1-7_kfreebsd-amd64.deb
  to main/f/freebsd-utils/pf_9.0+ds1-7_kfreebsd-amd64.deb
powerd_9.0+ds1-7_kfreebsd-amd64.deb
  to main/f/freebsd-utils/powerd_9.0+ds1-7_kfreebsd-amd64.deb
vidcontrol_9.0+ds1-7_kfreebsd-amd64.deb
  to main/f/freebsd-utils/vidcontrol_9.0+ds1-7_kfreebsd-amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 679128@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated freebsd-utils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 05 Jul 2012 20:55:43 +0200
Source: freebsd-utils
Binary: freebsd-utils freebsd-utils-udeb kldutils kldutils-udeb kbdcontrol kbdcontrol-udeb vidcontrol freebsd-net-tools freebsd-net-tools-udeb freebsd-nfs-server freebsd-nfs-common geom freebsd-geom freebsd-ppp devd devd-udeb ktrace pf powerd mkuzip
Architecture: source kfreebsd-amd64
Version: 9.0+ds1-7
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 devd       - device state change monitoring daemon
 devd-udeb  - device state change monitoring daemon (udeb)
 freebsd-geom - modular disk I/O request transformation framework (meta-package)
 freebsd-net-tools - FreeBSD networking tools
 freebsd-net-tools-udeb - FreeBSD networking tools (udeb)
 freebsd-nfs-common - NFS support files common to client and server
 freebsd-nfs-server - FreeBSD server utilities needed for NFS on GNU/kFreeBSD
 freebsd-ppp - FreeBSD Point-to-Point Protocol (PPP) userland daemon
 freebsd-utils - FreeBSD utilities needed for GNU/kFreeBSD
 freebsd-utils-udeb - FreeBSD utilities needed for GNU/kFreeBSD (udeb)
 geom       - modular disk I/O request transformation framework
 kbdcontrol - command-line tool to change keyboard layout on GNU/kFreeBSD
 kbdcontrol-udeb - command-line tool to change keyboard layout on GNU/kFreeBSD (udeb)
 kldutils   - tools for managing kFreeBSD modules
 kldutils-udeb - tools for managing kFreeBSD modules (udeb)
 ktrace     - A kernel call tracer
 mkuzip     - Disk image compression utility
 pf         - The OpenBSD Packet Filter
 powerd     - System utility for power control and energy saving
 vidcontrol - command-line tool to control the system console on GNU/kFreeBSD
Closes: 679128
Changes: 
 freebsd-utils (9.0+ds1-7) unstable; urgency=low
 .
   * Move /bin/sysctl to /sbin/. (Closes: #679128)
Checksums-Sha1: 
 66a79a559d666f301b1f7aa03d30fc50339a5383 2758 freebsd-utils_9.0+ds1-7.dsc
 fda31b2e1e0231ab821e4e67eae492412b9d1de3 137790 freebsd-utils_9.0+ds1-7.debian.tar.gz
 f1a5470d32021288fb5ecaba51b5609997369e6e 263224 freebsd-utils_9.0+ds1-7_kfreebsd-amd64.deb
 5e3e3321780ef4ba130d25f0cc5a843818138abb 12326 freebsd-utils-udeb_9.0+ds1-7_kfreebsd-amd64.udeb
 cb0a849203210021bf5afccf39b7a0c4b0b3b697 41380 kldutils_9.0+ds1-7_kfreebsd-amd64.deb
 d173117c52a37703b9c020599b0afa7a03c865e9 6078 kldutils-udeb_9.0+ds1-7_kfreebsd-amd64.udeb
 e2422a32026e549d4e91daa74cb2fb699103a5f7 124960 kbdcontrol_9.0+ds1-7_kfreebsd-amd64.deb
 3e7dfd254248566eb5423dfbf4cda18f554556e0 40466 kbdcontrol-udeb_9.0+ds1-7_kfreebsd-amd64.udeb
 d2ab7b48abd7854f9abfbdd03719d529a5e786a5 124412 vidcontrol_9.0+ds1-7_kfreebsd-amd64.deb
 d987da1264ced501b7ecd5df80e494be3e5e3ee9 224410 freebsd-net-tools_9.0+ds1-7_kfreebsd-amd64.deb
 0c00a4436ae38a5bc137b458468e71df41c662f9 67526 freebsd-net-tools-udeb_9.0+ds1-7_kfreebsd-amd64.udeb
 0950eb080405384e6f184860519b074b1f5b9ce0 69442 freebsd-nfs-server_9.0+ds1-7_kfreebsd-amd64.deb
 b594b5070c9f202e214e14979c26c9d6f478a4d8 78552 freebsd-nfs-common_9.0+ds1-7_kfreebsd-amd64.deb
 418bb4c3a7e1626cd36eed3dde5199314d41743b 163658 geom_9.0+ds1-7_kfreebsd-amd64.deb
 9b9ac8c6723a7f8dd067df622ab26fadbd46c326 22384 freebsd-geom_9.0+ds1-7_kfreebsd-amd64.deb
 5b8a12b9cb62c2c0ca8abf514eb1c4619e2d6a32 278058 freebsd-ppp_9.0+ds1-7_kfreebsd-amd64.deb
 07e6d49347df5e970966b510905443fc3f70fa1e 110004 devd_9.0+ds1-7_kfreebsd-amd64.deb
 5961157795e4fe3a045e0bac8820298cb9932f32 63144 devd-udeb_9.0+ds1-7_kfreebsd-amd64.udeb
 d73109e4b4c02991460c4a19934909474494f551 57674 ktrace_9.0+ds1-7_kfreebsd-amd64.deb
 229e796d6b4abeff7c87c9720f9a1b18cd0066c6 206194 pf_9.0+ds1-7_kfreebsd-amd64.deb
 4dbd6eeedb1fc5c5b0a9f133ec57bd18550c46db 33784 powerd_9.0+ds1-7_kfreebsd-amd64.deb
 2fc99ad5657fb3f84487c5a7aca23cb16648ea40 28062 mkuzip_9.0+ds1-7_kfreebsd-amd64.deb
Checksums-Sha256: 
 ae88f5184d928e769c99563fda8dcbbe19926118f0413626547f4e20901c628f 2758 freebsd-utils_9.0+ds1-7.dsc
 b7cc971a19606ca00049e0476b00a843c7af6b45c03694dfac22195ee8ea8c6b 137790 freebsd-utils_9.0+ds1-7.debian.tar.gz
 4fc770321d9300af57a5a4ca1440a75292491ead5591c64e3c034ab2da288e90 263224 freebsd-utils_9.0+ds1-7_kfreebsd-amd64.deb
 a298f82bf468ebc77cddeac8c8a45070485adc60d3a9f4a0ed645513892985f8 12326 freebsd-utils-udeb_9.0+ds1-7_kfreebsd-amd64.udeb
 796152c04b6eef9e9d1b2701fcc9f638d2d13a626f08e575c1fbd9a57b4eba2c 41380 kldutils_9.0+ds1-7_kfreebsd-amd64.deb
 13d2d4a77669ac288cce6adccb7860d29d617de8984fcc97eee7f25398a60461 6078 kldutils-udeb_9.0+ds1-7_kfreebsd-amd64.udeb
 08f18bce3616d16cce3cb233138fc5d219a498a4030836967b9635117e25fd17 124960 kbdcontrol_9.0+ds1-7_kfreebsd-amd64.deb
 fbb720ecf66d5e3facec018620df83ad4cb43cba77f5a33129bae68d06223e1e 40466 kbdcontrol-udeb_9.0+ds1-7_kfreebsd-amd64.udeb
 314c45b1e7ada6526dc2fb3bd23f3be5368503fd9a41f5f0bbe609e69990821c 124412 vidcontrol_9.0+ds1-7_kfreebsd-amd64.deb
 65236a65bde479e72837283c3ad593930090df9cfeb20d46e9b909d03ec8af0d 224410 freebsd-net-tools_9.0+ds1-7_kfreebsd-amd64.deb
 8c4b84761f11c0002f39ce3cc5201a88d39446297fc89062e93a51c055f616ee 67526 freebsd-net-tools-udeb_9.0+ds1-7_kfreebsd-amd64.udeb
 0df9fce6b88ca42d20e8f7e29182a5d53a654e6d6dd051d6a86d5494544082de 69442 freebsd-nfs-server_9.0+ds1-7_kfreebsd-amd64.deb
 2c0f6742931b912ebe591ae6071bcd96be265d8181a6df5ef4796b1ae6d43b7e 78552 freebsd-nfs-common_9.0+ds1-7_kfreebsd-amd64.deb
 9ef57592b00debb919d031e5bbdfcba23a1460569966690eceb96ae78256369b 163658 geom_9.0+ds1-7_kfreebsd-amd64.deb
 72aebca67035d88771b04a0738009a490e0bf901d1e499211516d255b5aa5a2a 22384 freebsd-geom_9.0+ds1-7_kfreebsd-amd64.deb
 83e3381533d008115362e539008050af17ac859339c1a85bfbd71e977425ecf1 278058 freebsd-ppp_9.0+ds1-7_kfreebsd-amd64.deb
 3125d3d0ffdfb2a6b1b00fdc05a7762c2a98aedb6e5260bde7eb409f08abbbcb 110004 devd_9.0+ds1-7_kfreebsd-amd64.deb
 38b92e91e3816afe3059b1b8862c396b9bdaa9be3ced357d0efc15b406243763 63144 devd-udeb_9.0+ds1-7_kfreebsd-amd64.udeb
 443acfd80f6ea212992a0dfbf8c4760d1558506f5ae5088eb4a8525d1b4b4eb7 57674 ktrace_9.0+ds1-7_kfreebsd-amd64.deb
 77a85ba9d5a35c00414a29277d91fbb7e9a9d1417bc04cb77f1819f231c0b1ba 206194 pf_9.0+ds1-7_kfreebsd-amd64.deb
 074a2b8e7e6c88de7728e0fd76f43f96c5e53eeb6c7204eb502b12b36410831d 33784 powerd_9.0+ds1-7_kfreebsd-amd64.deb
 486d01648f668c8d3b9a1c5033757c7162b0bae2e8c65c0669b042656a3fa1c3 28062 mkuzip_9.0+ds1-7_kfreebsd-amd64.deb
Files: 
 009a38d752b6780c1c252f61f54d9a6b 2758 utils important freebsd-utils_9.0+ds1-7.dsc
 867fdb090438f4d1614f5da019a5dbd6 137790 utils important freebsd-utils_9.0+ds1-7.debian.tar.gz
 93ce64e108f1e4ef6bd0c6cc78d203f7 263224 utils required freebsd-utils_9.0+ds1-7_kfreebsd-amd64.deb
 8a7946e732411ecdcd36f3e1424ddc5c 12326 debian-installer optional freebsd-utils-udeb_9.0+ds1-7_kfreebsd-amd64.udeb
 f626881a7e2356a943475dce01cf3ba1 41380 utils important kldutils_9.0+ds1-7_kfreebsd-amd64.deb
 db4deb04e9bdc90deb2fd2a257679fce 6078 debian-installer optional kldutils-udeb_9.0+ds1-7_kfreebsd-amd64.udeb
 07c1aacdba8dd639876cae8ca3bbb62c 124960 utils important kbdcontrol_9.0+ds1-7_kfreebsd-amd64.deb
 2da25043cc0b066e34dee028447dc2c3 40466 debian-installer important kbdcontrol-udeb_9.0+ds1-7_kfreebsd-amd64.udeb
 f7d67ed862ad98db5b0e4a29e86ec34f 124412 utils important vidcontrol_9.0+ds1-7_kfreebsd-amd64.deb
 0f559f5324fcac253bf685454ba0f1f6 224410 net important freebsd-net-tools_9.0+ds1-7_kfreebsd-amd64.deb
 ad7ab893f4c55c1a873b0c50a87ce655 67526 debian-installer important freebsd-net-tools-udeb_9.0+ds1-7_kfreebsd-amd64.udeb
 af32731ca7f1e390e47d55f7a930c550 69442 net optional freebsd-nfs-server_9.0+ds1-7_kfreebsd-amd64.deb
 e1fb855a7a934f33e584980675a4ab73 78552 net standard freebsd-nfs-common_9.0+ds1-7_kfreebsd-amd64.deb
 89604f0e8c6b8dc1666afda15e2120a7 163658 admin standard geom_9.0+ds1-7_kfreebsd-amd64.deb
 a9fa3874d592e50ea7d2afeca7f9049b 22384 admin standard freebsd-geom_9.0+ds1-7_kfreebsd-amd64.deb
 10df943e10938c28722c5ade76cddd2c 278058 net optional freebsd-ppp_9.0+ds1-7_kfreebsd-amd64.deb
 d326be6f7a6f42159f326f5fd5b6cbc5 110004 admin important devd_9.0+ds1-7_kfreebsd-amd64.deb
 0f1456cc2359368655883de3f2a6317c 63144 debian-installer important devd-udeb_9.0+ds1-7_kfreebsd-amd64.udeb
 e7ea5dab4ff8208e7bb78696c370ea35 57674 utils optional ktrace_9.0+ds1-7_kfreebsd-amd64.deb
 aaa30d5a3676cf4eed6795cb5eb8912e 206194 net important pf_9.0+ds1-7_kfreebsd-amd64.deb
 ea2da2e90683a2d4cad0c5425d39b081 33784 admin standard powerd_9.0+ds1-7_kfreebsd-amd64.deb
 26c60a31b8fbea1c0357842823f3ad70 28062 misc extra mkuzip_9.0+ds1-7_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/kFreeBSD)

iEYEARECAAYFAk/15NoACgkQC19io6rUCv8vCACfWwjhA+WDSFHlbX3g618mxUi+
s5oAni2hVAJUDG1YQuQ35VVPLCz4XQ5T
=Hi0L
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#679128; Package freebsd-utils. (Fri, 06 Jul 2012 19:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Fri, 06 Jul 2012 19:48:06 GMT) Full text and rfc822 format available.

Message #54 received at 679128@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: 648061@bugs.debian.org, 679128@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#648061: Info received (perspective patch for Python multiprocessing, but may be procps better "fix" it?)
Date: Fri, 6 Jul 2012 15:44:22 -0400
forcemerge 679128  648061
severity 679128 serious
thanks

Since this resolved issues for Python (see #648061) which caused FTBFS
of some packages on kfreebsd platforms, raising severity a bit and
forcemerging 648061 into 679128

Thanks!

-- 
Yaroslav O. Halchenko
Postdoctoral Fellow,   Department of Psychological and Brain Sciences
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        




Added tag(s) sid and wheezy. Request was from Yaroslav Halchenko <yoh@debian.org> to control@bugs.debian.org. (Wed, 11 Jul 2012 16:15:08 GMT) Full text and rfc822 format available.

Merged 648061 679128 Request was from Yaroslav Halchenko <yoh@debian.org> to control@bugs.debian.org. (Wed, 11 Jul 2012 16:15:09 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Yaroslav Halchenko <yoh@debian.org> to control@bugs.debian.org. (Wed, 11 Jul 2012 16:15:10 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 09 Aug 2012 07:26:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 18:52:57 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.